package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.BmsMergeStrategyDTO;
import com.prolog.rdc.tms.model.vo.BmsMergeStrategyQueryVO;
import com.prolog.rdc.tms.model.vo.BmsMergeStrategyVO;
import com.prolog.rdc.tms.model.vo.StatusUpdate;

import java.util.List;

public interface MergeBillStrategyService {

    Page<BmsMergeStrategyDTO> findList(BmsMergeStrategyQueryVO vo);

    void save(BmsMergeStrategyVO vo);

    BmsMergeStrategyDTO detail(Long id);

    void update(BmsMergeStrategyVO vo);

    void updateStatus(List<StatusUpdate> vo);

    void delete(String[] ids);
}
